Bug 463761 - Package review: perl-File-Find-Rule-VCS
Package review: perl-File-Find-Rule-VCS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 463763
  Show dependency treegraph
 
Reported: 2008-09-24 11:58 EDT by Marcela Mašláňová
Modified: 2018-04-11 06:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 05:57:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch fixing spec file (352 bytes, patch)
2008-09-25 06:49 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Marcela Mašláňová 2008-09-24 11:58:03 EDT
Description:
Many tools need to be equally useful both on ordinary files, and on code
that has been checked out from revision control systems.

http://mmaslano.fedorapeople.org/perl-File-Find-Rule-VCS/perl-File-Find-Rule-VCS-1.04-1.fc9.src.rpm
http://mmaslano.fedorapeople.org/perl-File-Find-Rule-VCS/perl-File-Find-Rule-VCS.spec
Comment 1 Matěj Cepl 2008-09-25 06:47:40 EDT
+ GOOD: rpmlint is silent on both source and binary package.
+ GOOD: The package is named according to the Package Naming Guidelines .
+ GOOD: The spec file name matches the base package %{name}, in the format
  %{name}.spec.
- BAD: The package meets the Packaging Guidelines .
* https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
  there is no email address in %changelog -- all required formats of the
  changelog record include email address
+ GOOD: The package is licensed with a Fedora approved license and meet the
Licensing Guidelines .
+ GOOD: The License field in the package spec file matches the actual license.
+ GOOD: LICENSE file is in %doc.
+ GOOD: The spec file is written in American English.
+ GOOD: The spec file for the package is legible.
+ GOOD: The sources used to build the package matches the upstream source,
as provided in the spec URL.
  f2014b4076f5e9cc9addcf29f662f344
+ GOOD: The package successfully compiles and build into binary rpms on at
least one supported architecture.
  Koji scratch build is
  http://koji.fedoraproject.org/koji/taskinfo?taskID=843514
+ GOOD: noarch, so it compiles everywhere.
+ GOOD: All build dependencies are listed in BuildRequires.
+ GOOD: The spec file MUST handle locales properly.
  No locale support.
+ GOOD: no libraries
+ GOOD: not relocatable
+ GOOD: A package owns all directories that it creates.
  Follows perl guidelines.
+ GOOD: A package must not contain any duplicate files in the %files listing.
+ GOOD: Permissions on files must be set properly.
+ GOOD: Each package have a %clean section.
+ GOOD: Each package consistently use macros.
+ GOOD: The package contains code, or permissable content.
+ GOOD: No large documentation files, so no a -doc subpackage.
+ GOOD: Files registered in %doc does not affect the runtime of the
application.
+ GOOD: No header files.
+ GOOD: No static libraries.
+ GOOD: No pkgconfig(.pc) files.
+ GOOD: The package does not contain library files with a suffix.
+ GOOD: No devel packages.
+ GOOD: No .la libtool archives.
+ GOOD: Packages does not contain GUI applications.
+ GOOD: Packages does not own files or directories owned by other packages.
+ GOOD: Runs rm -rf $RPM_BUILD_ROOT in %install
+ GOOD: All filenames in rpm packages are valid UTF-8.
+ SHOULD: Includes license text.

Attaching patch for the SPEC file -- when this is applied, APPROVED.
Comment 2 Matěj Cepl 2008-09-25 06:49:08 EDT
Created attachment 317673 [details]
patch fixing spec file
Comment 3 Marcela Mašláňová 2008-09-25 07:07:27 EDT
Fixed.
Comment 4 Marcela Mašláňová 2008-09-25 07:10:56 EDT
New Package CVS Request
=======================
Package Name: perl-File-Find-Rule-VCS
Short Description: check out files from VCS
Owners: mmaslano@redhat.com
Branches: rawhide
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Kevin Fenzi 2008-09-28 15:11:59 EDT
cvs done.

please use Fedora account names, not email addresses.

Note You need to log in before you can comment on or make changes to this bug.